PDO::getAvailableDrivers
PDO::lastInsertId
PDO
PHP Manual

# PDO::inTransaction

Checks if inside a transaction

### Description

public bool PDO::inTransaction ( void )

Checks if a transaction is currently active within the driver. This method only works for database drivers that support transactions.

### Parameters

This function has no parameters.

### Return Values

Returns `TRUE` if a transaction is currently active, and `FALSE` if not.